/*
Copyright (c) 1993-2008, Cognitive Technologies
All rights reserved.

         ,
    ,    ,    :

      *        
            ,     
          .
      *        / 
         ,   ,  
             ,    
           .
      *   Cognitive Technologies,      
              / 
        ,    ,   
        .

      /   "
 "  -  ,    ,
        ,  
 .         , 
  /   ,     
Ѩ ,   , ,  
 ,      
   (  ,  ,
 ,   /  ,  - 
  /       ,
    ),    ,   
           .

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.
    * Neither the name of the Cognitive Technologies nor the names of its
      contributors may be used to endorse or promote products derived from this
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

// ============================================================================
// Copyright (c) 2000 Cognitive Technology
// Written by Shahverdiev  Alik
// This file cration date: 17.05.00
//
// CutPCall.cpp
//
// ============================================================================

#include "rcutp.h"
#include "dpuma.h"

#include "nt_types.h"

#include "rcutp_prot.h"
extern Int16 minrow,bbs1,bbs2,bbs3,bbs4,Nb1,Nb2,Nb3;
extern Word8 language;

//-------------------------------------------------------
RCUTP_FUNC(Bool32)  RCUTP_SetBL_for_CutPoints(
                                    Int16  minrow0,Int16  bbs10,Int16  bbs20,Int16  bbs30,Int16  bbs40,
                                    Int16  Nb10,Int16  Nb20,Int16  Nb30, Word8 language0)
{
minrow=minrow0 ;
bbs1  =bbs10   ;
bbs2  =bbs20   ;
bbs3  =bbs30   ;
bbs4  =bbs40   ;
Nb1   =Nb10    ;
Nb2   =Nb20    ;
Nb3   =Nb30    ;
language=language0;
return TRUE;
};


RCUTP_FUNC(Bool32)  RCUTP_CutPoints(Word8 *raster,struct own_cut *ans, Int16 w, Int16 h, Int16 row)
{
  Alik_define_cut_points((PCHAR)raster, ans, w, h, row);

 return TRUE;
};
