/*
Copyright (c) 1993-2008, Cognitive Technologies
All rights reserved.

         ,
    ,    ,    :

      *        
            ,     
          .
      *        / 
         ,   ,  
             ,    
           .
      *   Cognitive Technologies,      
              / 
        ,    ,   
        .

      /   "
 "  -  ,    ,
        ,  
 .         , 
  /   ,     
Ѩ ,   , ,  
 ,      
   (  ,  ,
 ,   /  ,  - 
  /       ,
    ),    ,   
           .

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.
    * Neither the name of the Cognitive Technologies nor the names of its
      contributors may be used to endorse or promote products derived from this
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
  
                                                                
       Copyright (C) 1990 Cognitive Technology Corporation.     
  	 All rights reserved. This program is proprietary and     
       a trade secret of Cognitive Technology Corporation.      
                                                                
  
*/

#ifndef _TYPESA_DEFINED_
 #define _TYPESA_DEFINED_

//////////////////////////////////////////////////////////////////////////////////////
//
#define PRINTF    printf
#define SPRINTF   sprintf
#define FSCANF    fscanf
#define FOPEN     fopen
#define FCLOSE    fclose
#define FSEEK     fseek
#define FREAD     fread
#define FTELL     ftell
#define FPRINTF   fprintf
#define OUTPORT   outp
/////////////////////////////////////////////////////////////////////////////////////
// Wicrosoft Dev Studio
//AK 11.03.97 added for msd
#ifdef __MSVC__
  #undef __WATCOM__
  #include <io.h>
  #include <time.h>
  #define BIOSTIME(a)         *(a)=clock()
  #define BIOSKEY(a)          1
  #define FINDFIRST           _findfirst
  #define FINDNEXT            _findnext
  #define FINDCLOSE           _findclose
  #define FFBLK               _finddata_t
  #define FF_name   		  name
#else
//////////////////////////////////////////////////////////////////////////////////////
// Watcom translator
// AK 11.03.97 comented for msd
  #define BIOSTIME(a)         _bios_timeofday(_TIME_GETCLOCK,(long *)(a))
  #define BIOSKEY             _bios_keybrd		/* from Turbo C to Watcom C */
  #define FINDFIRST(a,b)      _dos_findfirst(a,_A_NORMAL,b)
  #define FINDNEXT            _dos_findnext
  #define FFBLK	              find_t
  #define FF_NAME             name
#endif
//////////////////////////////////////////////////////////////////////////////////
#endif
