/*
Copyright (c) 1993-2008, Cognitive Technologies
All rights reserved.

         ,
    ,    ,    :

      *        
            ,     
          .
      *        / 
         ,   ,  
             ,    
           .
      *   Cognitive Technologies,      
              / 
        ,    ,   
        .

      /   "
 "  -  ,    ,
        ,  
 .         , 
  /   ,     
Ѩ ,   , ,  
 ,      
   (  ,  ,
 ,   /  ,  - 
  /       ,
    ),    ,   
           .

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.
    * Neither the name of the Cognitive Technologies nor the names of its
      contributors may be used to endorse or promote products derived from this
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/


/********************************************************************/
/*                                                                  */
/*             Basis data types and functions definitions           */
/*              for 32-bit flat WATCOM model aplications            */
/*                                                                  */
/********************************************************************/

#ifndef NT_TYPES_H_
#define NT_TYPES_H_

#include "cttypes.h"

#if 0
/*----------------- Signed and unsigned integer types ------------------*/

/*                      Byte size data                                */
#if _MSC_VER > 1000
   #pragma once
#endif // _MSC_VER > 1000



        typedef signed char             _CHAR;
        typedef signed char  *      _PCHAR;
		typedef unsigned char           _BYTE;
        typedef unsigned char  *    _PBYTE;

        #define CHAR  _CHAR
        #define PCHAR _PCHAR
		#define PSTR  _PCHAR
		#define BYTE  _BYTE
        #define PBYTE _PBYTE

		#define TCHUGE
		#define 		TCFAR

/*                      Word size data                          */
        typedef signed short int                _INT;
        typedef signed short int  *         _PINT;
        #define INT  _INT
        #define PINT _PINT

typedef unsigned short int              WORD;
typedef unsigned short int  *       PWORD;

/*                      Boolean data                            */
        typedef INT             _BOOL;
        #define BOOL _BOOL

#ifndef TRUE
# define TRUE ((BOOL)1)
#endif
#ifndef FALSE
# define FALSE ((BOOL)0)
#endif

/*                      Double word size data                      */

typedef signed long int                 LONG;
typedef unsigned long int               DWORD;
typedef signed long int  *          PLONG;
typedef unsigned long int  *        PDWORD;

#endif

#endif
